Package pyamf :: Module amf3 :: Class ObjectEncoding

[hide private]
[frames] | no frames]

# Class ObjectEncoding

source code

AMF object encodings.

Class Variables | [hide private]

| STATIC = `0` Property list encoding.
| EXTERNAL = `1` Externalizable object.
| DYNAMIC = `2` Name-value encoding.
| PROXY = `3` Proxy object.

Class Variable Details | [hide private]

### STATIC

Property list encoding. The remaining integer-data represents the number of class members that exist. The property names are read as string-data. The values are then read as AMF3-data.

Value:

      0

### EXTERNAL

Externalizable object. What follows is the value of the "inner" object, including type code. This value appears for objects that implement IExternalizable, such as ArrayCollection and ObjectProxy.

Value:

      1

### DYNAMIC

Name-value encoding. The property names and values are encoded as string-data followed by AMF3-data until there is an empty string property name. If there is a class-def reference there are no property names and the number of values is equal to the number of properties in the class-def.

Value:

      2